Adicionar saldo em customer

View as Markdown
Endpoint de adição de saldo em customer para a integração documentada. Este endpoint exige: - `Authorization: Bearer <accessToken>` - `secret-key: btoa(clientKey:clientSecret)` - `Origin` correspondente ao domínio liberado O campo `customerIdentifier` é obrigatório e as taxas PIX seguem a hierarquia: `customer -> user -> settings`.

Authentication

AuthorizationBearer

Token retornado pelo endpoint /users/integration/login.

secret-keystring

Chave Base64 no formato btoa(clientKey:clientSecret).

Request

This endpoint expects an object.
amountdoubleRequired
customerIdentifierstringRequired

_id ou taxId do customer.

currencyenumRequired

Response

Adição de saldo em customer realizada com sucesso.

titlestring
balanceTransactionobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
503
Service Unavailable Error